summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorJohn D Jones III2015-06-16 15:12:17 -0600
committerJohn D Jones III2015-06-16 15:12:17 -0600
commitc8dc69eee6aeeafa3bb10a6a39801408704252c1 (patch)
tree77c49113907f058d45a09f5c5cd4cb0877e8f78a /PKGBUILD
downloadaur-c8dc69eee6aeeafa3bb10a6a39801408704252c1.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..95bb39e0671
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Contributor: Ben Webb <bjwebb67 at googlemail dot com>
+pkgname=perl-javascript-spidermonkey
+pkgver=0.21
+pkgrel=1
+pkgdesc="Perl interface to the JavaScript Engine"
+arch=('i686' 'x86_64')
+url="http://search.mcpan.org/~tbusch/JavaScript-SpiderMonkey/SpiderMonkey.pm"
+license=('GPL' 'PerlArtistic')
+depends=('perl>=5.10.0' 'spidermonkey-1.7')
+options=(!emptydirs)
+source=(http://search.mcpan.org/CPAN/authors/id/T/TB/TBUSCH/JavaScript-SpiderMonkey-$pkgver.tar.gz)
+md5sums=('404a0c6216c762a1b693056850c8cea5')
+
+package() {
+ cd "$srcdir/JavaScript-SpiderMonkey-$pkgver"
+
+ # install module in vendor directories.
+ perl Makefile.PL INSTALLDIRS=vendor --JS_LIB_DIR=/usr/include/spidermonkey-1.7/ --JS_LIB_NAME=js || return 1
+ make || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ # remove perllocal.pod and .packlist
+ find "$pkgdir" -name perllocal.pod -delete
+ find "$pkgdir" -name .packlist -delete
+}